VMTKMESHADDEXTERNALLAYER(1)

NAME
vmtkmeshaddexternallayer - vmtk script vmtkmeshaddexternallayer

DESCRIPTION
Automatic piping vmtkmeshaddexternallayer Parsing options vmtkmeshaddexternallayer

vmtkmeshaddexternallayer : create an external prismatic layer from the

    wall of a mesh and the normals on the wall.

    Input arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-disabled Disabled (bool,1); default=0: disable execution and

    piping

-i Mesh (vtkUnstructuredGrid,1): the input mesh

-ifile MeshInputFileName (str,1): filename for the default Mesh

    reader

-entityidsarray CellEntityIdsArrayName (str,1);

    default=CellEntityIds

-surfacecellentityid SurfaceCellEntityId (int,1); default=1: id of

    the first surface cells in the entityids list

-inletoutletcellentityid InletOutletCellEntityId (int,1); default=2

-extrudecellentityid ExtrudeCellEntityId (int,1); default=1: id of

    the surface cells to extrude

-thicknessarray ThicknessArrayName (str,1): name of the array where

    scalars defining boundary layer thickness are stored

-thickness Thickness (float,1); default=1.0: value of constant

    boundary layer thickness

-thicknessratio ThicknessRatio (float,1) >= 0.0; default=0.1:

    multiplying factor for boundary layer thickness

-maximumthickness MaximumThickness (float,1);

    default=10000000000.0: maximum allowed value for boundary layer thickness

-numberofsublayers NumberOfSubLayers (int,1) >= 0; default=1:

    number of sublayers which the boundary layer has to be made of

-sublayerratio SubLayerRatio (float,1) >= 0.0; default=1.0: ratio

    between the thickness of two successive boundary layers

-constantthickness ConstantThickness (bool,1); default=1: toggle

    constant boundary layer thickness

-includesurfacecells IncludeSurfaceCells: include all surface cells

    in output mesh

-includeextrudedopenprofilescells IncludeExtrudedOpenProfilesCells

    (bool,1); default=1: include the cells from the open profiles extruded surface in output mesh

-includeextrudedsurfacecells IncludeExtrudedSurfaceCells (bool,1);

    default=1: include the cells from the extruded surface in output mesh

-includeoriginalsurfacecells IncludeOriginalSurfaceCells (bool,1);

    default=0: include the cells from the original surfacein output mesh

-ofile MeshOutputFileName (str,1): filename for the default Mesh

    writer

    Output arguments:

-id Id (str,1); default=0: script id

-handle Self (self,1): handle to self

-o Mesh (vtkUnstructuredGrid,1): the output mesh